
#import <UIKit/UIKit.h>

/*
 
 This class responds to a button click by displaying a "modal" view.
 
 A modal view is simply a view that changes or interrupts the current workflow.
 Modal views are created by the current view controller. An example of this is 
 the default camera app for iPhone. When the little picture icon is selected at
 the bottom of the camera screen, it loads a gallery of pictures the user has
 already taken. This is loaded via a modal view.
 
 Once a modal view has finished, it dimisses itself, usually through a
 technique called "delegation" and control is given back to the view
 controller that originially created the modal view.
 
*/

@interface ModalViewController : UIViewController {
    IBOutlet UIButton* mButtonSelectImage;
}

// Create our Interface Builder Action method for when
// a user presses the button.
-(IBAction) displayImageList:(id)sender;

@end
